=head1 NAME

Mail::Field::Date - a date header field

=head1 INHERITANCE

 Mail::Field::Date
   is a Mail::Field

=head1 SYNOPSIS

  use HTTP::Date 'time2iso';
  my $field = Mail::Field->new(Date => time2iso());

=head1 DESCRIPTION

Represents one "Date" header field.

=head1 METHODS

=head2 Constructors

Mail::Field::Date-E<gt>B<combine>(FIELDS)

=over 4

See L<Mail::Field/"Constructors">

=back

Mail::Field::Date-E<gt>B<extract>(TAG, HEAD [, INDEX ])

=over 4

See L<Mail::Field/"Constructors">

=back

Mail::Field::Date-E<gt>B<new>(TAG [, STRING | OPTIONS])

=over 4

See L<Mail::Field/"Constructors">

=back

=head2 "Fake" constructors

$obj-E<gt>B<create>(OPTIONS)

=over 4

See L<Mail::Field/""Fake" constructors">

=back

$obj-E<gt>B<parse>

=over 4

See L<Mail::Field/""Fake" constructors">

=back

=head2 Accessors

$obj-E<gt>B<set>(OPTIONS)

=over 4

 Option --Default
 Time     undef
 TimeStr  undef

. Time => SECONDS

. TimeStr => STRING

=over 4

A string acceptable to Date::Parse.

=back

=back

$obj-E<gt>B<stringify>

=over 4

See L<Mail::Field/"Accessors">

=back

$obj-E<gt>B<tag>

Mail::Field::Date-E<gt>B<tag>

=over 4

See L<Mail::Field/"Accessors">

=back

=head2 Smart accessors

$obj-E<gt>B<text>([STRING])

=over 4

See L<Mail::Field/"Smart accessors">

=back

$obj-E<gt>B<time>([TIME])

=over 4

Query (or change) the TIME (as stored in the field) in seconds.

=back

=head1 DETAILS

=head1 DIAGNOSTICS

Error: Undefined subroutine <method> called

=over 4

Mail::Field objects use autoloading to compile new functionality.
Apparently, the mehod called is not implemented for the specific
class of the field object.

=back

=head1 SEE ALSO

This module is part of the MailTools distribution,
F<http://perl.overmeer.net/mailtools/>.

=head1 AUTHORS

The MailTools bundle was developed by Graham Barr.  Later, Mark
Overmeer took over maintenance without commitment to further development.

Mail::Cap by Gisle Aas E<lt>aas@oslonett.noE<gt>.
Mail::Field::AddrList by Peter Orbaek E<lt>poe@cit.dkE<gt>.
Mail::Mailer and Mail::Send by Tim Bunce E<lt>Tim.Bunce@ig.co.ukE<gt>.
For other contributors see ChangeLog.

=head1 LICENSE

Copyrights 1995-2000 Graham Barr E<lt>gbarr@pobox.comE<gt> and
2001-2007 Mark Overmeer E<lt>perl@overmeer.netE<gt>.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.
See F<http://www.perl.com/perl/misc/Artistic.html>

